# QueryStateResponse (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class QueryStateResponse<T>

- java.lang.Object
- - io.dapr.client.domain.QueryStateResponse<T>

    public class QueryStateResponse<T>
    extends Object

### Constructor Summary

Constructors
`QueryStateResponse​(List<QueryStateItem<T>> results, String token)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​String>` `getMetadata()`
`List<QueryStateItem<T>>` `getResults()`
`String` `getToken()`
`QueryStateResponse<T>` `setMetadata​(Map<String,​String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryStateResponse

    public QueryStateResponse​(List<QueryStateItem<T>> results,
                              String token)

### Method Detail

#### getResults

    public List<QueryStateItem<T>> getResults()

#### getToken

    public String getToken()

#### getMetadata

    public Map<String,​String> getMetadata()

#### setMetadata

    public QueryStateResponse<T> setMetadata​(Map<String,​String> metadata)